import instance from "@/utils/request";
// 测试登录
export const testLogin = params => instance.post("/user/appUser/smsLogin", params);
export const getSmsCode = params => instance.postForm("/company/user/getSmsCode", params);

// 新华登录
export const xinhuaMpLogin = params => instance.post("/user/appUser/xinhua/mpLogin", params);

// B端-获取登录用户
export const getLoginUserApi = params => instance.post("/company/user/getLoginUser", params);
// 保存用户信息
export const saveBasicInfoApi = params => instance.post("/company/user/saveBasicInfo", params);

// 注册企业信息
export const registerCompanyApi = params => instance.post("/company/register", params);
// 重新注册企业信息
export const resubmitCompanyApi = params => instance.post("/company/register/resubmit", params);

// 获取用户简历
export const getUserResumeApi = () => instance.post("/personal/user/resume/get");

// 获取投递列表
export const getApplicationListApi = params => instance.post("/job/getApplicationList", params);
// 获取面试列表
export const getInterviewListApi = params => instance.post("/job/getInterviewList", params);

// 获取公司信息及审核信息
export const getCompanyInfoApi = params => instance.post("/company/get", params);
// 保存企业信息
export const saveCompanyInfoApi = params => instance.post("/company/save", params);
//企业申诉

export const companyAppealApi = params => instance.post("/company/appeal", params);
//添加反馈信息
export const feedbackAdd = params => instance.post("/feedback/add/business", params);
